For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all policy import intents
      • POSTCreate a new policy import intent
      • GETRetrieve a policy import intent
    • API Errors
Get access
LogoLogo
API ReferencePolicy Import Intents

Create a new policy import intent

POST
/policy_import_intents
POST
/policy_import_intents
$curl -X POST https://test.api.kota.io/policy_import_intents \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "employee_id": "ee_7f9c2d3a4b5e6f7a8c9d0e1f2a3b4c5d",
> "group_id": "gr_1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p",
> "provider_policy_number": "POL123456789",
> "member_number": "MBR987654321",
> "policy_start_date": "2024-12-01"
>}'
1{
2 "id": "pii_9f8e7d6c5b4a3f2e1d0c9b8a7e6d5c4b",
3 "status": "processing",
4 "employee_id": "ee_7f9c2d3a4b5e6f7a8c9d0e1f2a3b4c5d",
5 "group_id": "gr_1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p",
6 "provider_policy_number": "POL123456789",
7 "member_number": "MBR987654321",
8 "policy_start_date": "2024-12-01",
9 "associated_persons": [
10 {
11 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
12 "associated_person_id": "ap_4d3c2b1a0f9e8d7c6b5a4e3f2d1c0b9a",
13 "start_date": "2024-12-01",
14 "end_date": "2025-12-01"
15 }
16 ],
17 "object": "policy_import_intent",
18 "policy_end_date": "2025-12-01"
19}
Initiates a policy import process for an employee with an existing policy created outside of Kota's systems. This endpoint allows importing policy details for an employee who has an existing policy with one of our existing providers.
Previous

List all policy import intents

Next

Retrieve a policy import intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Request

This endpoint expects an object.
employee_idstringRequiredformat: "ee_.+"

The employee ID for the policy import. Prefixed with ee_.

group_idstringRequiredformat: "gr_.+"

The group ID for the policy import. Prefixed with g_.

provider_policy_numberstringRequired
The provider's policy number.
member_numberstringRequired
The member number assigned by the provider.
policy_start_datedateRequired
The start date of the policy.
policy_end_datedate or nullOptional
The end date of the policy. Leave null if the policy has no end date.
associated_personslist of objects or nullOptional
List of associated persons to be linked to this policy import.

Response

OK
idstringformat: "pii_.+"

Unique identifier for the policy import intent. Prefixed with pii_.

statusenum
Current status of the policy import intent.
Allowed values:
employee_idstringformat: "ee_.+"

The employee ID for the policy import. Prefixed with ee_.

group_idstringformat: "gr_.+"

The group ID for the policy import. Prefixed with g_.

provider_policy_numberstring
The provider's policy number.
member_numberstring
The member number assigned by the provider.
policy_start_datedate
The start date of the policy.
associated_personslist of objects
List of associated persons linked to this policy import.
objectstringRead-only
Object type identifier.
policy_end_datedate or null
The end date of the policy. Null if the policy has no end date, or end date is not known.

Errors

400
Bad Request Error
404
Not Found Error